Bug 237372 - [NEW PORT] textproc/elasticsearch7: Full-text search engine for Java
Summary: [NEW PORT] textproc/elasticsearch7: Full-text search engine for Java
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2019-04-18 23:01 UTC by rlwestlund
Modified: 2019-12-09 11:40 UTC (History)
11 users (show)

See Also:
koobs: maintainer-feedback? (feld)


Attachments
Shar archive for the new port (11.88 KB, text/plain)
2019-04-18 23:01 UTC, rlwestlund
no flags Details
Poudriere build log: 12.1-RELEASE amd64 (32.91 KB, text/plain)
2019-11-07 19:51 UTC, rlwestlund
no flags Details
new port elasticsearch 7.4.2 (13.45 KB, text/plain)
2019-11-20 22:08 UTC, Miroslav Lachman
no flags Details
poudriere testport build log success for 11.3-RELEASE (34.84 KB, text/plain)
2019-11-20 22:10 UTC, Miroslav Lachman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rlwestlund 2019-04-18 23:01:48 UTC
Created attachment 203777 [details]
Shar archive for the new port

Elasticsearch6 has a port, but Elasticsearch7 is out now. I mostly copied from textproc/elasticsearch6 and made the obvious changes, so I might have missed something; although I did test it and it seems to work.
Comment 1 rlwestlund 2019-04-21 15:02:40 UTC
Is the maintainer-feedback flag never supposed to be used for new port proposals, then? I thought it would be reasonable to set it since feld@freebsd.org was listed as the maintainer for elasticsearch6.

Also, I noticed that when you chaged the title you took out the [patch] thing. According to https://www.freebsd.org/doc/en_US.ISO8859-1/articles/problem-reports/pr-writing.html I'm supposed to put that in the title if I have a patch. Is my patch bad? Did I submit it wrong?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-21 15:12:21 UTC
(In reply to rlwestlund from comment #1)

Since new ports don't exist in the tree yet, they don't have a maintainer.

Also, feld@ was CC'd, so using the flag wasn't necessary, but it was an appropriate person to CC.

On [tags] in summaries, you're fine, the docs are out of date, our/my fault :)

You seem really interested in how things work and doing the right thing. I'm more than happy to go over a few cheetsheats with you to level up your contributions and provide clarity on the best way to submit issues. Either hit me up preferably on IRC (freenode: #freebsd-ports), or email me :)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-04 06:44:44 UTC
@Mark Are you willing/able to maintainer this (elasticsearch7) port as well as the existing ones?

@rlwestlund if it turns our Mark is unable to, are you willing to maintain the port?

Also, I imagine version 7 of the rest of the stack (Kibana, Logstash , etc) are needed too, yes?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-04 06:45:56 UTC
QA (poudriere) confirmation, at least on {11,12,13}{amd64,i386} would also be great to help move this along
Comment 5 Mark Felder freebsd_committer 2019-11-04 16:41:07 UTC
@Koobs I tried to get myself removed from the elastic@ team months ago because I don't use the software anymore and don't have time to test, but I'm somehow still on this email alias :)
Comment 6 rlwestlund 2019-11-04 19:07:00 UTC
(In reply to Kubilay Kocak from comment #3)
(In reply to Kubilay Kocak from comment #4)

I'm not available to maintain the new port, regrettably.

I believe I tested this with Poudriere (would've been 12 amd64) before submitting it, although I see I left the comment vague about that. I can make time to test it again in the next few days.
Comment 7 rlwestlund 2019-11-07 19:48:02 UTC
I've just tested it using Poudriere on 12.1-RELEASE amd64. Build succeeded. I did see one odd line printed while building the port:

pkg-static: DEVELOPER_MODE: Error: arch "FreeBSD:12:*" -- package installs architecture specific files

It worked, though (Poudriere's HTML logs shows it as a complete success).

I'll attach the full build log for textproc/elasticsearch7 so anyone can take a look into that message. If necessary, I could probably set up a Digital Ocean droplet to test the other build targets.
Comment 8 rlwestlund 2019-11-07 19:51:22 UTC
Created attachment 208949 [details]
Poudriere build log: 12.1-RELEASE amd64
Comment 9 Tobias C. Berner freebsd_committer 2019-11-09 10:31:58 UTC
Moin moin

Could you also create ports for logstash and kibana 7 and attach them to this patch, so that we have the copmlete stack?


mfg Tobias
Comment 10 rlwestlund 2019-11-09 13:54:19 UTC
The PR for Kibana7 is already linked in See Also.

I could try to add a port for Logstash7 too when I have time, but I may not be the best person to do it since I've never used Logstash. Elastic and Kibana can be used effectively without it though.
Comment 11 Greg Lewis freebsd_committer 2019-11-11 19:14:32 UTC
While it would be great to have a logstash7 port, I don't see that as a barrier to committing elasticsearch7 and kibana7.  There are a lot of things you can do with ElasticSearch and Kibana without LogStash.  Most of the commercial work I've been (peripherally) involved with has fallen into this category.  So personally I don't think we should hold up committing the port for that.
Comment 12 Jeremy Baggs 2019-11-11 19:35:03 UTC
Hello all. I needed some features in Elasticsearch 7.4.2 and ported it locally over the weekend. Then I had one two few cups of coffee, and attached my patch to the ticket for Kibana7.

See: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237374#c4
and: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237374#c5

Sorry for the minor tangle.
Comment 13 Juraj Lutter 2019-11-20 22:01:12 UTC
I already opened a PRs for elastic components 6.x to their recent version.

As stated there, if the ports are to be unmaintained, I can take the maintainership.
Comment 14 Miroslav Lachman 2019-11-20 22:08:00 UTC
Created attachment 209293 [details]
new port elasticsearch 7.4.2

Elasticsearch 7.4.2
I created elasticsearch7 port for our development team and now I found this PR.
This version fixes missing plist entries (poudriere testport complains about them for elasticsearch6-6.8.3 too: role_mapping.yml and roles.yml sample files)
Also different DISTFILE is used: elasticsearch-7.4.2-no-jdk-linux-x86_64.tar.gz is smaller to download and unpack (no bundled JDK)
CONFLICTS= does not lists old versions no longer in ports tree, only 5 and 6 listed.

Feel free if somebody want to take maintainership, I just need to create this port for our team to start testing it.
Comment 15 Miroslav Lachman 2019-11-20 22:10:59 UTC
Created attachment 209295 [details]
poudriere testport build log success for 11.3-RELEASE
Comment 16 Greg Lewis freebsd_committer 2019-11-23 17:25:59 UTC
Tobias, do you have any concerns about going ahead with the elasticsearch7 and kibana7 ports?
Comment 17 Tobias C. Berner freebsd_committer 2019-11-23 20:17:39 UTC
My only concern is the maintainer field -- feld mentioned that he no longer has anything to do with elastic ports, so, would you be open to be the maintainer for it?
Comment 18 Miroslav Lachman 2019-11-23 21:22:38 UTC
(In reply to Tobias C. Berner from comment #17)
As Juraj Lutter said in comment #13, he can be the maintainer.
If Juraj cannot maintain Elastic in the future, I can maintain Elasticsearch7 as long as we use it on our project.
I cannot take Kibana7, we are not using it.
Comment 19 Greg Lewis freebsd_committer 2019-11-23 22:25:38 UTC
Juraj has also volunteered to maintain elasticsearch6, so I think making him maintainer makes sense.
Comment 20 Juraj Lutter 2019-11-23 22:55:13 UTC
Yes, that's correct.
Comment 21 Tobias C. Berner freebsd_committer 2019-11-24 09:59:08 UTC
(In reply to Juraj Lutter from comment #20)
Great, thanks. Can you upload an uploaded diff? :)
Comment 22 Juraj Lutter 2019-11-24 10:00:21 UTC
Yes, as soon as I finish 6.8.x update to 6.8.5 :-)
Comment 23 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-25 00:52:25 UTC
(In reply to Tobias C. Berner from comment #17)

FWIW we have a freebsd-elastic mailing list [1], and elastic@ is the maintainer of a number of ports [1]

[1] https://lists.freebsd.org/pipermail/freebsd-elastic/
[2] https://www.freshports.org/search.php?stype=maintainer&method=exact&query=elastic%40freebsd.org

We should probably keep any/all elastic related ports under team maintainership, and anyone who's interested in contributing to, or being a member of the team (committer or not), add themselves to the Elastic team page on the FreeBSD Wiki:

https://wiki.freebsd.org/Elastic

Any current bugzilla issues related to elastic should probably be reviewed by and approved by (maintainer-approval > elastic@f.o) members
Comment 24 Miroslav Lachman 2019-11-25 10:19:10 UTC
(In reply to Kubilay Kocak from comment #23)
I am sorry but I don't think it works. Many updates and fixes to elastic related ports were pushed by other users, not elastic@ team. Some commits were done after "maintainer timeout".
Are elastic@ team members even using elastic ports?
I think it's better to have maintainer who is dog fooding his own work.
Comment 25 Juraj Lutter 2019-11-25 10:27:04 UTC
As being said, I will review these ports very soon (probably within next 2-3 days), test and do some QAs on them.
Comment 26 Greg Lewis freebsd_committer 2019-11-27 18:10:22 UTC
I've added a port of logstash7, so as soon as these are committed we will have the entire ELK stack for 7.x